Bug 1001928 - Drools runtime created by plugin misses java compiler
Drools runtime created by plugin misses java compiler
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Kris Verlaenen
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 03:17 EDT by Tomas Schlosser
Modified: 2014-08-06 16:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2013-08-28 03:17:37 EDT
Description of problem:
If yu create new drools runtime using the 'Create a new Drools 6 Runtime' button, it can't run the rules. It complains about missing Eclipse compiler class.

Version-Release number of selected component (if applicable):
JBDS 7
JBoss Drools Core 6.0.0.201308222359 org.drools.eclipse.feature.feature.group

How reproducible:


Steps to Reproduce:
1. create a new Drools runtime
2. create a project usint the generated runtime
3. run DroolsTest class 

Actual results:
java.lang.RuntimeException: The Eclipse JDT Core jar is not in the classpath

Expected results:
The class runs fine and produces expected output.

Additional info:
Comment 4 Tomas Schlosser 2013-11-08 10:13:02 EST
I have reviewed the changes in 6.x branch and came up with a new pull request. It simplifies the search and should not require more work later when new version of JDT is released with new Eclipse. It also makes the plugin more testable.

Please review the pull request:
https://github.com/droolsjbpm/droolsjbpm-tools/pull/29
Comment 5 Tomas Schlosser 2014-01-15 06:30:44 EST
Verified with Drools plugin 6.0.1.Final

Note You need to log in before you can comment on or make changes to this bug.